Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
user/orderview.php File Reference

Go to the source code of this file.

## Variables
if(isset( $Cancel)) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $TinyImageWidth = $ini->variable( "eZImageCatalogueMain", "TinyImageWidth" )
| $TinyImageHeight = $ini->variable( "eZImageCatalogueMain", "TinyImageHeight" )
| $ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"
| $upscheck = $ini->variable( "eZTradeMain", "UPSXMLShipping" ) == "enabled"?1:0
| $uspscheck = $ini->variable( "eZTradeMain", "USPSXMLShipping" ) == "enabled"?1:0
else | $checkups =1
| $languageINI = new eZINI( "kernel/eztrade/user/intl/" . $Language . "/orderview.php.ini", false )
| $t
| $order = new eZOrder( $OrderID )
| $user = eZUser::currentUser()
if(! $user) if(! $order->isOwner(eZUser::currentUser())) else | $localUser = $order->user()
| $items = $order->items( $OrderType )
| $locale = new eZLocale( $Language )
| $currency = new eZCurrency()
| $i = 0
| $sum = 0.0
foreach( $items as $item) | $shippingCost = $order->shippingCharge()
| $totalVAT = $order->totalVAT()
if( $order->isVATInc()) | else
| $historyArray = $order->statusHistory()
| $j =0
foreach( $historyArray as $status) | $checkout = new eZCheckout()
| $instance =& $checkout->instance()
| $paymentMethod = $instance->paymentName( $order->paymentMethod() )
| $shippingType = $order->shippingType()

## Variable Documentation

## ◆ $checkout

foreach ($historyArray as $status) $checkout = new eZCheckout()

Definition at line 356 of file user/orderview.php.

## ◆ $checkups

else $checkups =1

Definition at line 54 of file user/orderview.php.

## ◆ $currency

$currency = new eZCurrency()

Definition at line 223 of file user/orderview.php.

## ◆ $historyArray

$historyArray = $order->statusHistory()

Definition at line 321 of file user/orderview.php.

## ◆ $i

$i = 0

Definition at line 225 of file user/orderview.php.

## ◆ $ini

if (isset($Cancel)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 42 of file user/orderview.php.

## ◆ $instance

$instance =& $checkout->instance()

Definition at line 357 of file user/orderview.php.

## ◆ $items

$items = $order->items( $OrderType )

Definition at line 221 of file user/orderview.php.

## ◆ $j

$j =0

Definition at line 328 of file user/orderview.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 43 of file user/orderview.php.

## ◆ $languageINI

$languageINI = new eZINI( "kernel/eztrade/user/intl/" . $Language . "/orderview.php.ini", false )

Definition at line 56 of file user/orderview.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 222 of file user/orderview.php.

## ◆ $localUser

if (! $user) if (! $order->isOwner(eZUser::currentUser())) else $localUser = $order->user()

Definition at line 106 of file user/orderview.php.

## ◆ $order

$order = new eZOrder( $OrderID )

Definition at line 87 of file user/orderview.php.

## ◆ $paymentMethod

$paymentMethod = $instance->paymentName( $order->paymentMethod() )

Definition at line 358 of file user/orderview.php.

## ◆ $shippingCost

foreach ($items as $item) $shippingCost = $order->shippingCharge()

Definition at line 277 of file user/orderview.php.

## ◆ $shippingType

$shippingType = $order->shippingType()

Definition at line 362 of file user/orderview.php.

## ◆ $ShowPriceGroups

$ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"

Definition at line 48 of file user/orderview.php.

## ◆ $sum

$sum = 0.0

Definition at line 226 of file user/orderview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
"kernel/eztrade/user/intl/", $Language, "orderview.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(isset( $Cancel)) $ini
Definition: user/orderview.php:42
$Language
$Language
Definition: user/orderview.php:43

Definition at line 67 of file user/orderview.php.

## ◆ $TinyImageHeight

$TinyImageHeight = $ini->variable( "eZImageCatalogueMain", "TinyImageHeight" )

Definition at line 46 of file user/orderview.php.

## ◆ $TinyImageWidth

$TinyImageWidth = $ini->variable( "eZImageCatalogueMain", "TinyImageWidth" )

Definition at line 45 of file user/orderview.php.

## ◆ $totalVAT

$totalVAT = $order->totalVAT()

Definition at line 284 of file user/orderview.php.

## ◆ $upscheck

$upscheck = $ini->variable( "eZTradeMain", "UPSXMLShipping" ) == "enabled"?1:0

Definition at line 49 of file user/orderview.php.

## ◆ $user

$user = eZUser::currentUser()

Definition at line 89 of file user/orderview.php.

## ◆ $uspscheck

$uspscheck = $ini->variable( "eZTradeMain", "USPSXMLShipping" ) == "enabled"?1:0

Definition at line 50 of file user/orderview.php.

## ◆ else

if (($shippingType)&&( $checkups==1)) if (($shippingType &&is_object( $shippingType)) &&($checkups !=1)) else

Initial value:
{
$currency->setValue( 0 )
$currency
$currency
Definition: user/orderview.php:223

Definition at line 298 of file user/orderview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.